scala.tools.ant.sabbus

# ScalacFork

#### class ScalacFork extends ScalaMatchingTask with ScalacShared with TaskArgs

An Ant task to compile with the new Scala compiler (NSC).

This task can take the following parameters as attributes:

- `srcdir` (mandatory),
- `failonerror`,
- `timeout`,
- `jvmargs`,
- `argfile`,
- `params`.

It also takes the following parameters as nested elements:

- `src` (for `srcdir`),
- `classpath`,
- `sourcepath`,
- `bootclasspath`,
- `extdirs`,
- `compilerarg`.

Linear Supertypes
TaskArgs, CompilationPathProperty, ScalacShared, ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalacFork
2. TaskArgs
3. CompilationPathProperty
4. ScalacShared
5. ScalaMatchingTask
6. ScalaTask
7. MatchingTask
8. SelectorContainer
9. Task
10. ProjectComponent
11. Cloneable
12. AnyRef
13. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalacFork()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalacFork to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (ScalacFork, B)

   Implicit information
     This member is added by an implicit conversion from ScalacFork to ArrowAssoc[ScalacFork] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### val MainClass: String

   Definition Classes
     ScalacShared

9. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

10. #### def XsetItems(arg0: String): Unit

    Definition Classes
      MatchingTask

11. #### def add(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

29. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

30. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

31. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

32. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

33. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown
      BuildException

      A build error exception thrown in every case.

34. #### def clone(): AnyRef

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )

35. #### var compTarget: Option[String]

    Attributes
      protected
    Definition Classes
      TaskArgs

36. #### var compilationPath: Option[Path]

    Attributes
      protected
    Definition Classes
      CompilationPathProperty

37. #### var compilerPath: Option[Path]

    Attributes
      protected
    Definition Classes
      TaskArgs

38. #### def createCompilationPath: Path

    Definition Classes
      CompilationPathProperty

39. #### def createCompilerArg(): Argument

    Definition Classes
      TaskArgs

40. #### def createCompilerPath: Path

    Definition Classes
      TaskArgs

41. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

42. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

43. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

44. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

45. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

46. #### def createSrcPath: Path

    Definition Classes
      TaskArgs

47. #### var destinationDir: Option[File]

    Attributes
      protected
    Definition Classes
      TaskArgs

48. #### def ensuring(cond: (ScalacFork) ⇒ Boolean, msg: ⇒ Any): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: (ScalacFork) ⇒ Boolean): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: Boolean): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

54. #### def execWithArgFiles(java: Java, paths: List[String]): Int

    Definition Classes
      ScalacShared

55. #### def execute(): Unit

    Definition Classes
      ScalacFork → Task

56. #### var extraArgs: Seq[Argument]

    Attributes
      protected
    Definition Classes
      TaskArgs

57. #### def extraArgsFlat: Seq[String]

    Definition Classes
      TaskArgs

58. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

59. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalacFork to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

60. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

61. #### def getDescription(): String

    Definition Classes
      ProjectComponent

62. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

63. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

64. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

65. #### def getOwningTarget(): Target

    Definition Classes
      Task

66. #### def getProject(): Project

    Definition Classes
      ProjectComponent

67. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

68. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

69. #### def getTaskName(): String

    Definition Classes
      Task

70. #### def getTaskType(): String

    Definition Classes
      Task

71. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

72. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

73. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

74. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

75. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

76. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

77. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

78. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

79. #### var id: Option[String]

    Attributes
      protected
    Definition Classes
      TaskArgs

80. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

81. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

82. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

83. #### def isMSIL: Boolean

    Definition Classes
      TaskArgs

84. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

85. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

86. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

87. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

88. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

89. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

90. #### final def notify(): Unit

    Definition Classes
      AnyRef

91. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

92. #### final def perform(): Unit

    Definition Classes
      Task

93. #### def reconfigure(): Unit

    Definition Classes
      Task

94. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

95. #### def selectorElements(): java.util.Enumeration[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

96. #### def setArgfile(input: File): Unit

    Sets the `argfile` attribute.

    Sets the `argfile` attribute. Used by Ant.

    input

      The value of `argfile`.

97. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

98. #### def setCompilationPath(input: Path): Unit

    Definition Classes
      CompilationPathProperty

99. #### def setCompilationPathRef(input: Reference): Unit

    Definition Classes
      CompilationPathProperty

100. #### def setCompilerPath(input: Path): Unit

     Definition Classes
       TaskArgs

101. #### def setCompilerPathRef(input: Reference): Unit

     Definition Classes
       TaskArgs

102. #### def setDefaultexcludes(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

103. #### def setDescription(arg0: String): Unit

     Definition Classes
       ProjectComponent

104. #### def setDestdir(input: File): Unit

     Definition Classes
       TaskArgs

105. #### def setExcludes(arg0: String): Unit

     Definition Classes
       MatchingTask

106. #### def setExcludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

107. #### def setFailOnError(input: Boolean): Unit

     Sets the `failonerror` attribute.

     Sets the `failonerror` attribute. Used by Ant.

     input

       The value of `failOnError`.

108. #### def setFollowSymlinks(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

109. #### def setId(input: String): Unit

     Definition Classes
       TaskArgs

110. #### def setIncludes(arg0: String): Unit

     Definition Classes
       MatchingTask

111. #### def setIncludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

112. #### def setJvmArgs(input: String): Unit

     Sets the `jvmargs` attribute.

     Sets the `jvmargs` attribute. Used by Ant.

     input

       The value of `jvmArgs`.

113. #### def setLocation(arg0: Location): Unit

     Definition Classes
       ProjectComponent

114. #### def setOwningTarget(arg0: Target): Unit

     Definition Classes
       Task

115. #### def setParams(input: String): Unit

     Definition Classes
       TaskArgs

116. #### def setProject(arg0: Project): Unit

     Definition Classes
       MatchingTask → ProjectComponent

117. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

     Definition Classes
       Task

118. #### def setSrcPath(input: Path): Unit

     Definition Classes
       TaskArgs

119. #### def setSrcPathRef(input: Reference): Unit

     Definition Classes
       TaskArgs

120. #### def setSrcdir(input: File): Unit

     Sets the `srcdir` attribute.

     Sets the `srcdir` attribute. Used by Ant.

     input

       The value of `sourceDir`.

121. #### def setTarget(input: String): Unit

     Definition Classes
       TaskArgs

122. #### def setTaskName(arg0: String): Unit

     Definition Classes
       Task

123. #### def setTaskType(arg0: String): Unit

     Definition Classes
       Task

124. #### def setTimeout(input: Long): Unit

     Sets the `timeout` attribute.

     Sets the `timeout` attribute. Used by Ant.

     input

       The value of `timeout`.

125. #### var sourcePath: Option[Path]

     Attributes
       protected
     Definition Classes
       TaskArgs

126. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

127. #### def toString(): String

     Definition Classes
       AnyRef → Any

128. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

129. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

130. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

131. #### def →[B](y: B): (ScalacFork, B)

     Implicit information
       This member is added by an implicit conversion from ScalacFork to ArrowAssoc[ScalacFork] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ScalacFork to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalacFork: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ScalacFork to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalacFork: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: ScalacFork

   Implicit information
     This member is added by an implicit conversion from ScalacFork to ArrowAssoc[ScalacFork] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalacFork: ArrowAssoc[ScalacFork]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: ScalacFork

   Implicit information
     This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalacFork: Ensuring[ScalacFork]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from TaskArgs

### Inherited from CompilationPathProperty

### Inherited from ScalacShared

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalacFork to StringAdd

### Inherited by implicit conversion any2stringfmt from ScalacFork to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ScalacFork to ArrowAssoc[ScalacFork]

### Inherited by implicit conversion any2Ensuring from ScalacFork to Ensuring[ScalacFork]

### Ungrouped